# studio::EventLayerClick Struct Reference

`#include <event_layerclick.h>`

List of all members.

## Public Member Functions

| EventLayerClick (etl::loose_handle< synfig::Layer > layer, MouseButton button, const synfig::Point &pos, Gdk::ModifierType modifier=Gdk::ModifierType(0))

## Public Attributes

synfig::Point | pos
MouseButton | button
etl::loose_handle< synfig::Layer > | layer
Gdk::ModifierType | modifier

## Constructor & Destructor Documentation

studio::EventLayerClick::EventLayerClick | ( | etl::loose_handle< synfig::Layer > | layer,
|  | MouseButton | button,
|  | const synfig::Point & | pos,
|  | Gdk::ModifierType | modifier = `Gdk::ModifierType(0)` |
| ) |  |  | `[inline]`

## Member Data Documentation

synfig::Point studio::EventLayerClick::pos

MouseButton studio::EventLayerClick::button

etl::loose_handle<synfig::Layer> studio::EventLayerClick::layer

Gdk::ModifierType studio::EventLayerClick::modifier

The documentation for this struct was generated from the following file:

- event_layerclick.h